Subject: bug#68940: 29.2; Random crashes in face for char / font

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Feb 2024 14:23:31 +0200

> Date: Mon, 05 Feb 2024 23:46:18 +0100
> From:  Robert Vojta via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> This was introduced in 29.2, works in 29.1.
> 
> 1. emacs -Q does not crash
> 
> 2. bisected it to the following ...
> 
> (use-package org
>   :config
>   (setq org-ellipsis (if (char-displayable-p ?⏷) "\t⏷" nil)))
> 
> ... this randomly crashes (wild guess 80%). When it doesn't crash
> (rare), it works as expected, even w/ the "⏷" character.
> 
> If I comment out this org-ellipsis line, everything's fine and it is not
> crashing.
> 
> Here's the full report from the macOS:
> 
> https://gist.github.com/zrzka/373a8a860848efc9aa440dc1e8682a8b

I cannot reproduce this, but I'm not on macOS.  Maybe it's
darwin-specific?

Just to clarify: if you start "emacs -Q", then evaluate

  M-: (setq org-ellipsis (if (char-displayable-p ?⏷) "\t⏷" nil)) RET

then visit some Org file and try toggling visibility (so that
org-ellipsis is used), does it crash?  If not, something else in your
customizations "helps" the bug to happen, perhaps some font-related
settings?  The crash backtrace seems to suggest the problem in
face_for_font, and that usually means you have some problematic font
in your setup.

Thanks.